/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AcmeProviderConfig {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/vancluever/acme/2.14.0/docs#server_url AcmeProvider#server_url}
    */
    readonly serverUrl: string;
    /**
    * Alias name
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/vancluever/acme/2.14.0/docs#alias AcmeProvider#alias}
    */
    readonly alias?: string;
}
/**
* Represents a {@link https://registry.terraform.io/providers/vancluever/acme/2.14.0/docs acme}
*/
export declare class AcmeProvider extends cdktf.TerraformProvider {
    static readonly tfResourceType = "acme";
    /**
    * Create a new {@link https://registry.terraform.io/providers/vancluever/acme/2.14.0/docs acme} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AcmeProviderConfig
    */
    constructor(scope: Construct, id: string, config: AcmeProviderConfig);
    private _serverUrl?;
    get serverUrl(): string | undefined;
    set serverUrl(value: string | undefined);
    get serverUrlInput(): string | undefined;
    private _alias?;
    get alias(): string | undefined;
    set alias(value: string | undefined);
    resetAlias(): void;
    get aliasInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
